Bug 247750 - In kernel fuse does not allow NFS exports
In kernel fuse does not allow NFS exports
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 05:06 EDT by Piergiorgio Sartor
Modified: 2008-06-03 09:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 09:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2007-07-11 05:06:49 EDT
Description of problem:
Well, this might be more a feature/enhancement request than a bug, anyway here
we go.
The in kernel fuse module is somehow an old/different version than the one from
 http://fuse.sourceforge.net/ and it does not support NFS exporting.
It would be kind, considering the amount of other patching, to add this one,
together with the latest fuse-libs, to the Fedora kernel.
This will enable the NFS export and keep the fuse subsystem up to date.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3228

How reproducible:
Always

Steps to Reproduce:
1.
Well, mount some fuse filesystem, like ntfs-3g and export using NFS
2.
mount the exported ntfs partition from a client
3.
  
Actual results:
Funny, the client says the server refused the mount because of permission issues.
The server just report an "authenticated mount", with no errors at all.

Expected results:
The mount should take place.

Additional info:
It would be already good to provide a more clear error message, because what is
visible is a "permission" problem, which causes some confusion.
Comment 1 Christopher Brown 2007-09-18 10:39:02 EDT
Hello Piergiorgio,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Piergiorgio Sartor 2007-09-23 06:02:56 EDT
Well, the reported issue is well known and it is caused by the fact that the
in-kernel fuse is not in line with the one distributed by the fuse project.
The second one allows, to certain extent, to export fuse filesystems using NFS
(check docs for further warnings).
What I'm asking for is to use the latest fuse kernel module (from the fuse
project) and replace, as patch or else, the one in the Fedora kernel. At least
until things get synchronized in the mainline kernel.

Thanks for your support.
Comment 3 Bug Zapper 2008-05-14 09:30:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Piergiorgio Sartor 2008-06-03 09:08:22 EDT
I close this one, since I'm not using anymore NFS exported fuse filesystems.

pg

Note You need to log in before you can comment on or make changes to this bug.